# HDLMake 'develop' branch required.
#
# Due to bugs in release v3.0 of hdlmake it is necessary to use the "develop"
# branch of hdlmake, commit db4e1ab.

board  = "spec"
target = "xilinx"
action = "synthesis"

syn_device  = "xc6slx150t"
syn_grade   = "-3"
syn_package = "fgg484"
syn_top     = "wrtd_ref_spec150t_adc"
syn_project = "wrtd_ref_spec150t_adc.xise"
syn_tool    = "ise"

fetchto = "../../../dependencies"

ctrls = ["bank3_64b_32b"]

syn_pre_project_cmd = "make -C ../../../software/firmware"

syn_post_project_cmd = (
    "$(TCL_INTERPRETER) " + \
    fetchto + "/general-cores/tools/sdb_desc_gen.tcl " + \
    syn_tool + " $(PROJECT_FILE);" \
    "$(TCL_INTERPRETER) syn_extra_steps.tcl $(PROJECT_FILE)"
)

files = [
    "wrtd_ref_spec150t_adc.ucf",
]

modules = {
    "local" : [
        "../../top/wrtd_ref_spec150t_adc",
    ],
}
