/**
 * @file trtl-memory.ld
 *
 * This is a basic linker configuration for WRTD.
 *
 * It expects that every MT CPU has at least 32KB
 * of memory, as well as 2KB of shared memory for
 * all CPUS.
 *
 * Copyright (c) 2018-2019 CERN (home.cern)
 *
 * SPDX-License-Identifier: LGPL-3.0-or-later
 */

MEMORY
{
ram :
ORIGIN = 0x00000000,
LENGTH = 32768 - 2048
stack :
ORIGIN = 32768 - 2048,
LENGTH = 2048
smem :
ORIGIN = 0x40200000,
LENGTH = 2048
}
